import { PageViewport } from '../../pdfjs';
import { Page } from './page';
export declare class CanvasPage {
    private readonly page;
    private readonly maxCanvasPixels;
    private _canvasWrapper?;
    private _canvas?;
    private hasRestrictedScaling;
    private outputScale?;
    constructor(page: Page, maxCanvasPixels?: number);
    get canvasWrapper(): HTMLDivElement | undefined;
    get canvas(): HTMLCanvasElement | undefined;
    render(): number[] | undefined;
    isOnlyCssZoom(viewport: PageViewport): boolean;
    get ctx(): CanvasRenderingContext2D | null | undefined;
    show(isLastShow: boolean): void;
    destroy(): void;
}
